0

I recently installed Kubuntu 19.04 and installed the latest Gimp (v2.10.12) with apt. I moved my plugins into the folder ~/.config/GIMP/2.10/plug-ins and made sure the python files are set to be executable.

When I launch Gimp, the plugins are not loaded. Launching from the terminal I get this type of message:

Traceback (most recent call last):
  File "/home/davide/.config/GIMP/2.10/plug-ins/GIMP-lens-blur.py", line 25, in <module>
    from gimpfu import *
ImportError: No module named gimpfu
gimp: LibGimpBase-WARNING: gimp: gimp_wire_read(): error

What can I do?

4

Make sure you have installed the gimp-python package, which has become "optional" in recent Ubuntu releases.

The message you see above is normal, the python code imports modules that are only available when the plugin is called by Gimp.

2
  • On ArchLinux this is the AUR package python2-gimp. Oct 27 '20 at 21:08
  • 1
    In Ubuntu 20.04, gimp-python is not included anymore. I managed to get it working by downloading it from packages.debian.org/buster/amd64/gimp-python/download. To install it, I had to also download python-gtk2, python-gobject-2 and libffi6 from there, and install some python dependencies that were included in Ubuntu 20.04. Works like a charm now.
    – tobi
    Dec 9 '20 at 21:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.